# Test: Prompt missing required content field
# Expected: FAIL
# Error code: invalid_type
# Error path: agent.prompts[0].content
# Error expected: string

agent:
  metadata:
    id: prompt-missing-content
    name: Prompt Missing Content
    title: Missing Content
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  prompts:
    - id: prompt1

  menu:
    - trigger: help
      description: Show help
      action: display_help
